rem load remote configuration settings
call "%~sdp0Version.bat"
call "%~sdp0Source.bat"
call "%~sdp0Constant.bat"

rem set constants
set DEVENVEXEFILE=C:\Program Files (x86)\Microsoft Visual Studio 11.0\Common7\IDE\devenv.com
set PUBLISHPATH=%TEMP%\Publish\SmoLite\%MAJOR%.%MINOR%.%REVISION%
set BACKUPASSEMBLYINFO=%TEMP%\SmoLiteAssemblyInfo.cs.backup
set HGTEMPFILE=%TEMP%\SmoLite.%MAJOR%.%MINOR%.%REVISION%.tmp
set PUBLISHZIPFILESTART=%TEMP%\Publish\SmoLite\%MAJOR%.%MINOR%.%REVISION%\SmoLiteApi %MAJOR%.%MINOR%.%REVISION%.
set PUBLISHZIPFILEEND= (AnyCpu, .NET 4.0).zip
set MSBUILDFILE=c:\Windows\Microsoft.NET\Framework\v4.0.30319\MSBuild.exe
set PUBLISHWEBSITEPATH=%TEMP%\Publish\SmoLite\%MAJOR%.%MINOR%.%REVISION%\Website

rem replace settings with machine specific values
if exist "%~sdp0Configuration.%COMPUTERNAME%.bat" call "%~sdp0Configuration.%COMPUTERNAME%.bat"

rem exit if an error occured
if %ERRORLEVEL% NEQ 0 exit 1