﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SmoLiteApi.Exceptions;

namespace SmoLiteApi
{
    /// <summary/>
    public class Column
    {
        private Table _table;
        private string _name;
        private DataType _dataType;
        private bool _nullable;
        private bool _identity;

        /// <summary/>
        public Column(
            Table table,
            string name)
        {
            this._table = table;
            this._name = name;

            // need to create a data type
            this._dataType = new DataType();
        }

        /// <summary/>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }

        /// <summary/>
        public DataType DataType
        {
            get { return this._dataType; }
            set { this._dataType = value; }
        }

        /// <summary/>
        public bool Nullable
        {
            get { return this._nullable; }
            set { this._nullable = value; }
        }

        /// <summary/>
        public bool Identity
        {
            get { return this._identity; }
            set { this._identity = value; }
        }
    }
}
