﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SmoLiteApi
{
    /// <summary/>
    public class ForeignKey
    {
        private string _name;
        private string _referencedTable;
        private string _referencedTableSchema;
        private ForeignKeyColumnCollection _foreignKeyColumnCollection;

        /// <summary/>
        public ForeignKey(
            string name)
        {
            this._name = name;
            this._foreignKeyColumnCollection = new ForeignKeyColumnCollection();
        }

        /// <summary/>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }

        /// <summary/>
        public string ReferencedTable
        {
            get { return this._referencedTable; }
            set { this._referencedTable = value; }
        }

        /// <summary/>
        public string ReferencedTableSchema
        {
            get { return this._referencedTableSchema; }
            set { this._referencedTableSchema = value; }
        }

        /// <summary/>
        public ForeignKeyColumnCollection Columns
        {
            get { return this._foreignKeyColumnCollection; }
        }
    }
}
