﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SmoLiteApi.Exceptions;

namespace SmoLiteApi
{
    /// <summary/>
    public class IndexedColumn
    {
        private byte _ordinal;
        private string _name;
        private bool _isIncluded;
        private bool _descending;

        /// <summary/>
        public IndexedColumn(string name)
        {
            this._name = name;
        }

        /// <summary/>
        public IndexedColumn(
            byte ordinal,
            string name)
        {
            this._ordinal = ordinal;
            this._name = name;
        }

        /// <summary/>
        public byte Ordinal
        {
            get { return this._ordinal; }
            set { this._ordinal = value; }
        }

        /// <summary/>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        /// <summary/>
        public bool IsIncluded
        {
            get { return this._isIncluded; }
            set { this._isIncluded = value; }
        }

        /// <summary/>
        public bool Descending
        {
            get { return this._descending; }
            set { this._descending = value; }
        }
    }
}
