﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ContentRenderingApi;

namespace SmoLiteApi.Sql
{
    /// <summary/>
    internal class ViewFullTextIndexCreateSql : AbstractSql
    {
        /// <summary/>
        protected override string TemplateTypeName
        {
            get { return Constant.TEMPLATE_TYPE_NAME_VIEW_FULL_TEXT_INDEX_CREATE; }
        }

        /// <summary/>
        protected override void ConfigureTemplate(AbstractTemplate template)
        {
            // add conditionals
            template.AddConditionalFunction(Constant.ATTRIBUTE_LAST, value => value.Position == value.Length);
        }
    }
}
