﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SqlClient;

namespace SmoLiteApi.Exceptions
{
    /// <summary/>
    public class SmoException : Exception
    {
        private string _sql;

        /// <summary/>
        internal SmoException(
            string sql,
            SqlException sqlException)
            : base(
            string.Empty, 
            sqlException) 
        {
            this._sql = sql;
        }

        /// <summary/>
        public override string Message
        {
            get { return string.Format(Constant.FORMAT_SMO_EXCEPTION, this._sql); }
        }
    }
}
