﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ContentRenderingApi;
using SmoLiteApi.Helper;

namespace SmoLiteApi.Sql
{
    /// <summary/>
    internal class LoginChangePasswordSql : AbstractSql
    {
        /// <summary/>
        protected override string TemplateTypeName
        {
            get { return Constant.TEMPLATE_TYPE_NAME_LOGIN_CHANGE_PASSWORD; }
        }

        /// <summary/>
        protected override void ConfigureTemplate(AbstractTemplate template)
        {
            // need to encode values
            template.AddLocalFormatter(Constant.ATTRIBUTE_PASSWORD, typeof(string), SqlEncoderHelper.Encode);
        }
    }
}
